API Reference
List all alignment reports for a domain
GET
header
X-API-Key<token>API Key for programmatic access
domainId*stringUUID of the domain
Format
uuidList of alignment report summaries
application/json- response
[index: integer]?curl -X GET 'https://api.getmint.ai/api/domains/497f6eca-6276-4993-bfeb-53cbbbba6f08/alignment/reports'[ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "generatedAt": "2026-05-25T10:30:00.000Z", "domainId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "domainName": "nike.com", "averageScore": 0.78, "models": [ "chatgpt" ], "reportDate": "2026-05-25T10:30:00.000Z" }]